> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers.md).

# Bookmakers

Are you looking for a specific bookmaker? Retrieve all the bookmakers our Football API offers via the bookmakers' endpoint.&#x20;

Use one of our 4 bookmakers endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Bookmakers:** returns all the bookmakers available in our football API.&#x20;
* **GET Bookmaker by ID:** returns bookmakers' information from your requested bookmaker ID.
* **GET Bookmakers by Fixture ID:** returns all the bookmakers available for your requested fixture ID.
* **GET Bookmaker Event ID's by Fixture ID:** returns all the bookmakers event ids available for your requested fixture ID.

#### Include options

`none`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the bookmakers endpoints are:

* [Bookmaker](/v3/odds-api/getting-started/entities/bookmaker.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
